Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## vut.msa.enums
Enum BackupType

    java.lang.Object
      java.lang.Enum<BackupType>
          vut.msa.enums.BackupType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BackupType>, SelectableEnum, SelectItemable

    public enum BackupType

extends java.lang.Enum<BackupType>
implements SelectableEnum, SelectItemable

Enumerator pre typ zalohy

Enum Constant Summary
`DIFFERENTIAL`
`FULL`
`INCREMENTAL`

Field Summary

Fields inherited from interface vut.msa.interfaces.SelectableEnum
`lookup`

Method Summary
`java.lang.String` | `getId()`
`java.util.Map<java.lang.String,SelectableEnum>` | `getLookup()` Metoda naplni HashMap hodnotami tejto triedy.
`java.lang.String` | `getName()`
`static BackupType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BackupType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final BackupType FULL

### INCREMENTAL

    public static final BackupType INCREMENTAL

### DIFFERENTIAL

    public static final BackupType DIFFERENTIAL

Method Detail

### values

    public static BackupType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BackupType c : BackupType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BackupType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getLookup

    public java.util.Map<java.lang.String,SelectableEnum> getLookup()

  Metoda naplni HashMap hodnotami tejto triedy. Sluzi pre vytvorenie zoznamu na JSP stranke.

  Specified by:
    `getLookup` in interface `SelectableEnum`
  Returns:
    mapa s hodnotami enum BackupType

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `SelectItemable`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SelectItemable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD